www.cendio.com
Bug 2728 - get openssh/putty to identify smart card tokens on serial
: get openssh/putty to identify smart card tokens on serial
Status: CLOSED FIXED
: ThinLinc
Smart card
: pre-1.0
: PC All
: P2 Enhancement
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-03-04 14:00 by
Modified: 2013-05-30 13:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2008-03-04 14:00:16
In bug 2632, we started using certificate serial numbers instead of token names
to identify tokens. We still give a token name to OpenSSH and Putty though. It
would be better if we could convert those to also identify things based on
serial.
------- Comment #1 From cendio 2012-11-15 10:41:37 -------
We do this for OpenSSH. Now we're just waiting for the conversion of Putty to
OpenSSH on Windows.
------- Comment #2 From cendio 2013-03-13 16:47:14 -------
Conversion done, so this is now fixed.
------- Comment #3 From cendio 2013-05-30 13:33:50 -------
* tlclient-4.0.0post-3965, Windows 7.

I can still log in using smart cards, the log file refers to looking up
certificates through serial number, no traces of TOKENNAME left in the code.